local M = {}

local function unity_ads_callback( self, msg_type, message )

	pprint( "unity_ads_callback()", self, msg_type, message )

end

function M.initialize()

	pprint( "ads.initialize()" )
	
	local test_mode = false
	local game_id
	local sys_info = sys.get_sys_info()
	if sys_info.system_name == "Android" then
		game_id = "3522145"
	elseif sys_info.system_name == "iPhone OS" then
		game_id = "3522144"
	end

	if unityads then
		
		local unityads_is_supported = unityads.isSupported()
		print( "unityads.isSupported()", unityads_is_supported )

		if unityads_is_supported then
			if unityads.isInitialized() then
				print("unityads.setCallback()", unity_ads_callback )
				unityads.setCallback(unity_ads_callback)
			else
				print("unityads.initialize()", game_id, unity_ads_callback, test_mode )
				unityads.initialize( game_id, unity_ads_callback, test_mode )
			end
		end
		
	end

end

return M